import React from 'react';
export interface INabTabListProps {
    /**
     * Defines Nav Tab List, which expects mulitple tabs as ReactNodes, usually NavLinks
     */
    children?: React.ReactNode;
}
declare const NavTabList: import("@reach/utils").ForwardRefExoticComponentWithAs<"div", INabTabListProps>;
export default NavTabList;
export interface INavTabProps {
    /**
     * Defines the content of the tab
     */
    children?: React.ReactNode;
    /**
     * Defines the component rendered as a Tab
     */
    as?: React.ElementType;
    /**
     * Defines the Tab disable feature
     */
    disabled?: boolean;
    /**
     * Defines the Tab selected feature
     */
    isSelected?: boolean;
    /**
     * Defines the Tab selected appearance
     */
    selectedClass?: string;
}
export declare const NavTab: import("@reach/utils").ForwardRefExoticComponentWithAs<"button", INavTabProps>;
//# sourceMappingURL=NavTabs.d.ts.map